import { ChangeDetectorRef, OnDestroy, OnInit, TemplateRef } from '@angular/core';
import { Channel } from 'stream-chat';
import { ChannelService } from '../channel.service';
import { ChatClientService } from '../chat-client.service';
import { CustomTemplatesService } from '../custom-templates.service';
import { ChannelActionsContext, ChannelHeaderInfoContext } from '../types';
import * as i0 from "@angular/core";
/**
 * The `ChannelHeader` component displays the avatar and name of the currently active channel along with member and watcher information. You can read about [the difference between members and watchers](/chat/docs/javascript/watch_channel/#watchers-vs-members) in the platform documentation. Please note that number of watchers is only displayed if the user has [`connect-events` capability](/chat/docs/javascript/channel_capabilities/)
 */
export declare class ChannelHeaderComponent implements OnInit, OnDestroy {
    private channelService;
    private customTemplatesService;
    private cdRef;
    private chatClientService;
    channelActionsTemplate?: TemplateRef<ChannelActionsContext>;
    channelHeaderInfoTemplate?: TemplateRef<ChannelHeaderInfoContext>;
    activeChannel: Channel | undefined;
    canReceiveConnectEvents: boolean | undefined;
    private subscriptions;
    constructor(channelService: ChannelService, customTemplatesService: CustomTemplatesService, cdRef: ChangeDetectorRef, chatClientService: ChatClientService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    getChannelActionsContext(): ChannelActionsContext;
    getChannelInfoContext(): ChannelHeaderInfoContext;
    get memberCountParam(): {
        memberCount: number;
    };
    get watcherCountParam(): {
        watcherCount: number;
    };
    get displayText(): string | undefined;
    get avatarName(): string | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChannelHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChannelHeaderComponent, "stream-channel-header", never, {}, {}, never, ["*"], false, never>;
}
