import * as i0 from "@angular/core";
/**
 * The `DateParserService` parses dates into user-friendly string representations.
 */
export declare class DateParserService {
    /**
     * Custom parser to override `parseTime`
     */
    customTimeParser?: (date: Date) => string;
    /**
     * Custom parser to override `parseDate`
     */
    customDateParser?: (date: Date) => string;
    /**
     * Custom parser to override `parseDateTime`
     */
    customDateTimeParser?: (date: Date) => string;
    constructor();
    /**
     * Return a user-friendly string representation of the time
     * @param date
     * @returns The parsed time
     */
    parseTime(date: Date): string;
    /**
     * Return a user-friendly string representation of the date (year, month and date)
     * @param date
     * @returns The parsed date
     */
    parseDate(date: Date): string;
    /**
     * Return a user-friendly string representation of the date and time
     * @param date
     * @returns The parsed date
     */
    parseDateTime(date: Date): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<DateParserService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DateParserService>;
}
