import { OnChanges } from '@angular/core';
import { Icon } from '../icon.component';
import { IconContext } from '../../types';
import { CustomTemplatesService } from '../../custom-templates.service';
import * as i0 from "@angular/core";
/**
 * The `IconPlaceholder` component displays the [default icons](/chat/docs/sdk/angular/components/IconComponent/) unless a [custom template](/chat/docs/sdk/angular/services/CustomTemplatesService/) is provided. This component is used by the SDK internally, you likely won't need to use it.
 */
export declare class IconPlaceholderComponent implements OnChanges {
    customTemplatesService: CustomTemplatesService;
    /**
     * The icon to display, the list of [supported icons](https://github.com/GetStream/stream-chat-angular/tree/master/projects/stream-chat-angular/src/lib/icon/icon.component.ts) can be found on GitHub.
     */
    icon: Icon | undefined;
    iconContext: IconContext;
    constructor(customTemplatesService: CustomTemplatesService);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IconPlaceholderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IconPlaceholderComponent, "stream-icon-placeholder", never, { "icon": "icon"; }, {}, never, never, false, never>;
}
