import { BehaviorSubject } from 'rxjs';
import { AudioRecording } from '../types';
import * as i0 from "@angular/core";
/**
 * The `VoiceRecorderService` provides a commincation outlet between the message input and voice recorder components.
 */
export declare class VoiceRecorderService {
    /**
     * Use this property to get/set if the recording component should be visible
     */
    isRecorderVisible$: BehaviorSubject<boolean>;
    /**
     * The audio recording that was created
     */
    recording$: BehaviorSubject<AudioRecording | undefined>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<VoiceRecorderService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<VoiceRecorderService>;
}
