import { EventEmitter, OnChanges, SimpleChanges, TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * The `Modal` component displays its content in an overlay. The modal can be closed with a close button, if the user clicks outside of the modal content, or if the escape button is pressed. The modal can also be closed from outside.
 */
export declare class ModalComponent implements OnChanges {
    /**
     * If `true` the modal will be displayed, if `false` the modal will be hidden
     */
    isOpen: boolean;
    /**
     * The content of the modal  (can also be provided using `ng-content`)
     */
    content: TemplateRef<void> | undefined;
    /**
     * Emits `true` if the modal becomes visible, and `false` if the modal is closed.
     */
    readonly isOpenChange: EventEmitter<boolean>;
    private innerContainer;
    constructor();
    ngOnChanges(changes: SimpleChanges): void;
    close(): void;
    private watchForEscPress;
    private stopWatchForEscPress;
    private watchForOutsideClicks;
    private stopWatchForOutsideClicks;
    static ɵfac: i0.ɵɵFactoryDeclaration<ModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ModalComponent, "stream-modal", never, { "isOpen": "isOpen"; "content": "content"; }, { "isOpenChange": "isOpenChange"; }, never, ["*"], false, never>;
}
