import { Observable } from 'rxjs';
import { CustomTemplatesService } from '../custom-templates.service';
import { NotificationService } from '../notification.service';
import { ThemeService } from '../theme.service';
import { NotificationPayload } from '../types';
import * as i0 from "@angular/core";
/**
 * The `NotificationList` component displays the list of active notifications.
 */
export declare class NotificationListComponent {
    readonly customTemplatesService: CustomTemplatesService;
    private notificationService;
    private themeService;
    notifications$: Observable<NotificationPayload[]>;
    theme$: Observable<string>;
    constructor(customTemplatesService: CustomTemplatesService, notificationService: NotificationService, themeService: ThemeService);
    trackById(_: number, item: NotificationPayload): string;
    getNotificationContentContext(notification: NotificationPayload): {
        dismissFn: () => void;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NotificationListComponent, "stream-notification-list", never, {}, {}, never, never, false, never>;
}
