import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
/**
 * The `StreamI18nService` can be used to customize the labels of the chat UI. Our [translation guide](/chat/docs/sdk/angular/concepts/translation/) covers this topic in detail.
 */
export declare class StreamI18nService {
    private translteService;
    constructor(translteService: TranslateService);
    /**
     * Registers the translation to the [ngx-translate](https://github.com/ngx-translate/core) TranslateService.
     * @param lang The language key to register the translation to
     * @param overrides An object which keys are translation keys, and the values are custom translations
     */
    setTranslation(lang?: string, overrides?: {
        [key: string]: string;
    }): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StreamI18nService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<StreamI18nService>;
}
