import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
/**
 * The `ThemeService` can be used to change the theme of the chat UI and to customize the theme. Our [theming guide](/chat/docs/sdk/angular/theming/themingv2/) gives a complete overview about the topic.
 */
export declare class ThemeService {
    /**
     * A Subject that can be used to get or set the currently active theme. By default light and dark themes are supported.
     */
    theme$: BehaviorSubject<string>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<ThemeService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ThemeService>;
}
