import { EventEmitter } from '@angular/core';
import { UserResponse } from 'stream-chat';
import * as i0 from "@angular/core";
/**
 * The `UserListComponent` can display a list of Stream users with pagination
 */
export declare class UserListComponent {
    /**
     * The users to display
     */
    users: UserResponse[];
    /**
     * If `true`, the loading indicator will be displayed
     */
    isLoading: boolean;
    /**
     * If `false` the component won't ask for more data vua the `loadMore` output
     */
    hasMore: boolean;
    /**
     * The component will signal via this output when more items should be fetched
     *
     * The new items should be appended to the `items` array
     */
    readonly loadMore: EventEmitter<void>;
    trackByUserId(_: number, item: UserResponse): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UserListComponent, "stream-user-list", never, { "users": "users"; "isLoading": "isLoading"; "hasMore": "hasMore"; }, { "loadMore": "loadMore"; }, never, never, false, never>;
}
