import { AfterViewInit, ChangeDetectorRef, NgZone, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * This component can be used to visualize the wave bar of a voice recording
 */
export declare class VoiceRecordingWavebarComponent implements OnInit, OnChanges, AfterViewInit {
    private ngZone;
    private cdRef;
    /**
     * The audio element that plays the voice recording
     */
    audioElement?: HTMLAudioElement;
    /**
     * The waveform data to visualize
     */
    waveFormData: number[];
    /**
     * The duration of the voice recording in seconds
     */
    duration?: number;
    resampledWaveFormData: number[];
    progress: number;
    isDragging: boolean;
    private sampleSize;
    private container?;
    private isViewInited;
    constructor(ngZone: NgZone, cdRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    seek(event: MouseEvent): void;
    trackByIndex(index: number): number;
    private containerSizeChanged;
    static ɵfac: i0.ɵɵFactoryDeclaration<VoiceRecordingWavebarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<VoiceRecordingWavebarComponent, "stream-voice-recording-wavebar", never, { "audioElement": "audioElement"; "waveFormData": "waveFormData"; "duration": "duration"; }, {}, never, never, false, never>;
}
